#!/bin/zsh

set -eo pipefail
let jobs=$(nproc)-2

if [ -f .git/config  ] && [ -f .git/HEAD ]; then
	REV=$(git rev-parse --short HEAD)$(git diff --quiet || echo "-dirty")
	scripts/config --set-str CONFIG_LOCALVERSION "-g$REV"
fi

make -j$jobs $* | python /home/anna/bin/colors/make.py
